Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.smil
Interface TimeEvent

All Superinterfaces:
  Event

public interface TimeEvent
extends Event

The `TimeEvent` interface provides specific contextual information associated with Time events.

See Also:
  SMIL Animation.

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`int` | `getDetail()` Specifies some detail information about the `Event`, depending on the type of event.
`AbstractView` | `getView()` The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initTimeEvent(java.lang.String typeArg, AbstractView viewArg, int detailArg)` The `initTimeEvent` method is used to initialize the value of a `TimeEvent` created through the `DocumentEvent` interface.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Method Detail

### getView

    public AbstractView getView()

  The `view` attribute identifies the `AbstractView` from which the event was generated.

### getDetail

    public int getDetail()

  Specifies some detail information about the `Event`, depending on the type of event.

### initTimeEvent

    public void initTimeEvent(java.lang.String typeArg,
                              AbstractView viewArg,
                              int detailArg)

  The `initTimeEvent` method is used to initialize the value of a `TimeEvent` created through the `DocumentEvent` interface. This method may only be called before the `TimeEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  The different types of events that can occur are:

  begin
    This event is raised when the element local timeline begins to play. It will be raised each time the element begins the active duration (i.e. when it restarts, but not when it repeats). It may be raised both in the course of normal (i.e. scheduled or interactive) timeline play, as well as in the case that the element was begun with the `beginElement()` or `beginElementAt()` methods. Note that if an element is restarted while it is currently playing, the element will raise an end event and another begin event, as the element restarts.
    - Bubbles: No
    - Cancelable: No
    - Context Info: None
  end
    This event is raised at the active end of the element. Note that this event is not raised at the simple end of each repeat. This event may be raised both in the course of normal (i.e. scheduled or interactive) timeline play, as well as in the case that the element was ended with the `endElement()` or `endElementAt()` methods. Note that if an element is restarted while it is currently playing, the element will raise an end event and another begin event, as the element restarts.
    - Bubbles: No
    - Cancelable: No
    - Context Info: None
  repeat
    This event is raised when the element local timeline repeats. It will be raised each time the element repeats, after the first iteration.
    The event provides a numerical indication of which repeat iteration is beginning. The value is a 0-based integer, but the repeat event is not raised for the first iteration and so the observed values of the detail attribute will be >= 1.
    - Bubbles: No
    - Cancelable: No
    - Context Info: detail (current iteration)
  Parameters:
    `typeArg` - Specifies the event type.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s detail.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD